import { ChangeDetectorRef, ElementRef, NgZone, OnInit } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { AbstractVariable } from '@iotize/tap/data';
import { BaseChartComponent } from '@swimlane/ngx-charts';
import { ChartInputSingle, ChartInputStreamVar } from '../ChartDataModel';
export declare class TapVariableBarChartComponent extends BaseChartComponent implements OnInit {
    private myChartElement;
    modalController: ModalController;
    results: ChartInputSingle[];
    colorScheme: {
        domain: string[];
    };
    orientation: string;
    showDetails: boolean;
    roundEdges: boolean;
    showXAxis: boolean;
    showYAxis: boolean;
    history: boolean;
    countLimitHistory: number;
    set label(indexOrArray: string | string[] | undefined | Function);
    set variable(variableOrArray: AbstractVariable<any> | AbstractVariable<any>[] | undefined);
    set inputStream(inputs: ChartInputStreamVar | ChartInputStreamVar[]);
    private chartModel;
    private subscription?;
    constructor(myChartElement: ElementRef<any>, zone: NgZone, cd: ChangeDetectorRef, modalController: ModalController);
    onSelect(event: any): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
